import request from "./../request.js";
/**
 * 请求接口封装
 * 
 * noAuth  false 是需要鉴权的  true 是不用鉴权的
 * 
 * 商家助手的接口封装
 * 
*/


//酒店房间列表
export function roomList(data)
{
  return request.post("hotel/roomList",data,{ noAuth : false});
}


//酒店房间 上下架
export function autoManageRoom(data)
{
  return request.post("hotel/autoManageRoom",data,{ noAuth : false});
}


//酒店房间类型 添加酒店的时候使用
export function hotelroomType(data)
{
  return request.post("hotel/roomType",data,{ noAuth : false});
}


//添加修改酒店房间
export function addEditRoom(data)
{
  return request.post("hotel/addEditRoom",data,{ noAuth : false});
}

//房间详情 用于修改的时候 查询详情信息 赋默认值
export function roomInfo(data)
{
  return request.post("hotel/roomInfo",data,{ noAuth : false});
}


//酒店订单状态
export function hotelStatus(data)
{
  return request.post("order/hotelStatus",data,{ noAuth : false});
}

//酒店订单列表

export function hotelOrder(data)
{
  return request.post("order/hotelOrder",data,{ noAuth : false});
}

//酒店订单详情
export function hotelOrderDetails(data)
{
  return request.post("order/hotelOrderDetails",data,{ noAuth : false});
}


//酒店订单同意退房 同意 ====》还没错、对接
export function hotelConsentRefund(data)
{
  return request.post("order/hotelConsentRefund",data,{ noAuth : false});
}

//酒店订单拒绝退房 觉得  ====》还没错、对接
export function hotelRefuseRefund(data)
{
  return request.post("order/hotelRefuseRefund",data,{ noAuth : false});
}

//因为小程序和APP 都没有做酒店的退款


//酒店商家确认客户入住
export function affirmIntake(data)
{
  return request.post("order/affirmIntake",data,{ noAuth : false});
}
